package com.ruoyi.ibs.customerselect.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 清单列表查询信息 ListSelectByUser
 *
 * @author ruoyi
 * @date 2024-09-25
 */
public class ListSelectByUser {

    /** 客户标签 */
    @NotNull(message = "客户标签不能为空")
    private String custPattern;

    /** 用户机构 */
    private Long userDept;

    /** 用户id */
    private Long userId;

    /** 清单来源 */
    private String createRole;

    /** 清单类型 */
    private String groupType;

    /** 客户类型 */
    private String custType;

    /** 清单ID */
    private String groupId;

    /** 清单名称 */
    private String groupName;

    /** 客户数 */
    private Long customerNum;

    /** 关联活动id */
    private String campaignId;

    /** 关联活动名称 */
    private String campaignName;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /** 活动状态 */
    private String actionStatus;

    /** 紧急程度 */
    private String campaignDegree;

    /** 分配机构id */
    private Long deptId;

    /** 分配机构 */
    private String belongDept;

    private String belongOutlet;

    /** 分配结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date claimEndTime;

    /** 认领类型 */
    private String claimType;

    /** 机构领取状态 */
    private String orgClaimStatus;

    /** 机构分配状态 */
    private String orgDistributeStatus;

    /** 客户经理认领率 */
    private String receiveSitustion = "0%";

    /** 是否二次推送 */
    private String secondPushStatus;

    /** 执行人 0-机构；1-个人；2-混合分配 */
    private String executer;

    /** 更新时间 */
    private Date updateTime;

    /** 创建时间 */
    private Date createTime;

    /** 当前时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date nowTime;

    @Excel(name = "考核目标")
    private String checkTarget;

    @Excel(name = "下发支行")
    private String sendDept;

    public String getSendDept() {
        return sendDept;
    }

    public void setSendDept(String sendDept) {
        this.sendDept = sendDept;
    }

    public String getCustPattern() {
        return custPattern;
    }

    public void setCustPattern(String custPattern) {
        this.custPattern = custPattern;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserDept() {
        return userDept;
    }

    public void setUserDept(Long userDept) {
        this.userDept = userDept;
    }

    public String getCreateRole() {
        return createRole;
    }

    public void setCreateRole(String createRole) {
        this.createRole = createRole;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Long getCustomerNum() {
        return customerNum;
    }

    public void setCustomerNum(Long customerNum) {
        this.customerNum = customerNum;
    }

    public String getCampaignId() {
        return campaignId;
    }

    public void setCampaignId(String campaignId) {
        this.campaignId = campaignId;
    }

    public String getCampaignName() {
        return campaignName;
    }

    public void setCampaignName(String campaignName) {
        this.campaignName = campaignName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getActionStatus() {
        return actionStatus;
    }

    public void setActionStatus(String actionStatus) {
        this.actionStatus = actionStatus;
    }

    public String getCampaignDegree() {
        return campaignDegree;
    }

    public void setCampaignDegree(String campaignDegree) {
        this.campaignDegree = campaignDegree;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getBelongDept() {
        return belongDept;
    }

    public void setBelongDept(String belongDept) {
        this.belongDept = belongDept;
    }

    public Date getClaimEndTime() {
        return claimEndTime;
    }

    public void setClaimEndTime(Date claimEndTime) {
        this.claimEndTime = claimEndTime;
    }

    public String getClaimType() {
        return claimType;
    }

    public void setClaimType(String claimType) {
        this.claimType = claimType;
    }

    public String getOrgClaimStatus() {
        return orgClaimStatus;
    }

    public void setOrgClaimStatus(String orgClaimStatus) {
        this.orgClaimStatus = orgClaimStatus;
    }

    public String getOrgDistributeStatus() {
        return orgDistributeStatus;
    }

    public void setOrgDistributeStatus(String orgDistributeStatus) {
        this.orgDistributeStatus = orgDistributeStatus;
    }

    public String getReceiveSitustion() {
        return receiveSitustion;
    }

    public void setReceiveSitustion(String receiveSitustion) {
        this.receiveSitustion = receiveSitustion;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getSecondPushStatus() {
        return secondPushStatus;
    }

    public void setSecondPushStatus(String secondPushStatus) {
        this.secondPushStatus = secondPushStatus;
    }

    public String getExecuter() {
        return executer;
    }

    public void setExecuter(String executer) {
        this.executer = executer;
    }

    public Date getNowTime() {
        return nowTime;
    }

    public void setNowTime(Date nowTime) {
        this.nowTime = nowTime;
    }

    public String getCheckTarget() {
        return checkTarget;
    }

    public void setCheckTarget(String checkTarget) {
        this.checkTarget = checkTarget;
    }

    public String getBelongOutlet() {
        return belongOutlet;
    }

    public void setBelongOutlet(String belongOutlet) {
        this.belongOutlet = belongOutlet;
    }
}
